Subject: RE: CLS

From: "Iren, Sami" <[email-masked]>
Date: Tue, 16 Oct 2001 12:38:07 -0400

Hemant:
Since Eric and Venkata answered part 1 of your questions,
I'll try to answer the remaining questions very briefly.
You can get details from RFC 2211.

Q2)The end user applications for CL service is real-time tolerant
applications such as video applications with buffering which
hides the packet losses from the application.

Q3)The exact definition of CL is given in RFC2211 as follows:
"The end-to-end behavior provided to an application by a series
of network elements providing controlled-load service tightly 
approximates the behavior visible to applications receiving 
best-effort service under 'unloaded conditions' from the same
series of network elements".
That is, the only guarantee you get from CL service is the
average delay. The end-to-end delay experienced by some arbitrary
packet cannot be guaranteed. With the guaranteed service class (GS),
you get the latter guarantee.

Q4)CL is one of the two service classes integrated services offer.
However, IntServ suffers from scalability problems especially at
the core because of the state information it requires.
Therefore, in the core, DiffServ is the typical QoS mechanism used
today with MPLS. Assured Forwarding (AF) is the closest diffserv 
service class to CL. 

I hope this helps.
---
Sami Iren
Marconi Networks
Tel: (724) 742-6849
Fax: (724) 742-4555
Email: [email-masked]

> -----Original Message-----
> From: Naidu, Venkata [mailto:[email-masked]]
> Sent: Tuesday, October 16, 2001 10:44 AM
> To: 'Eric Gray'; Hemant P. Kelkar
> Cc: [email-masked]; [email-masked]
> Subject: RE: CLS
> 
> 
> Hemant:
> 
>   Apart from what Eric has pointed out, there has been
>   an extensive work done (in the past) to map service 
>   classes between Internet and ATM technologies
> 
>   As per RFC2381 recommendations:
>      Guaranteed Service    ->     CBR or rtVBR
>      Controlled Load       ->     nrtVBR or ABR (with a minimum
>                                   cell rate)
>      Best Effort           ->     UBR or ABR
> 
>   But in my opinion ABR is the odd man out. You can't
>   directly map ABR to either "Controlled Load" or "Best effort".
>   There has been some research in ALS (Adaptive Load Service)
>   which is an ABR-Like Service for the Internet.
> 
>      http://citeseer.nj.nec.com/271051.html
> 
> --Venkata Naidu
> 
> -> Hemant,
> -> 
> ->     ABR is ATM specific, and somewhat more analogous to Guaranteed
> -> Service rather than Controlled Load Service.  GS and CLS are 
> -> Integrated
> -> Services based - which means they (in theory at least) are 
> -> supported by
> -> more generalized IP forwarding devices (potentially including ATM).
> -> 
> -> You wrote:
> -> 
> -> > Hi !
> -> > I need to ask few basic doubts.
> -> >
> -> > 1. How is Controlled load service (CLS) different from ABR ?
> -> > 2. Which are the user applications of CLS ?
> -> > 3. If CLS provides approximately the same QoS under heavy 
> -> loads as under
> -> > light loads,why isn't it referred in guaranteed service 
> category ?
> -> > 4. How does MPLS implement CLS ?
> -> >
> -> > Regards,
> -> > Hemant
> -> 
>